Index

Sommaire

licence d'utilisation et de diffusion

Généralités

Principe du fonctionnement
Gestion du curseur
Modification des images
Modification des textes

Fenêtre principale

Vue d'ensemble
Barre d'outils
Palette d'outils
Panneau des aperçus
Zone de commandes
Zone de travail
Barre de menus
Menu Fichier
Menu Diapositive
Menu Outils
Menu Présentation
Menu Affichage
Menu Aide

Fenêtre de Capture

Fenêtre de capture

Informations complémentaires :

Informations techniques
Description des vues dans le script
Modèles de script
Contact et téléchargement
Limitations
Références


Principe du fonctionnement

Pour élaborer une présentation

capturer des portions d'écran et les pointeurs de souris pendant qu'une application est en fonctionnement
ajouter des notes et des bulles pouvant apparaître par dessus ces captures
définir pour chaque vue le trajet du pointeur de souris

Pendant le fonctionnement de la présentation :

L'algorithme de présentation est très simple :

  pour chaque diapositive :
Afficher l'arrière-plan capturé

Si une note existe :
- l'afficher pendant une durée suffisante liée
  à la longueur du texte
- puis l'effacer

Si une bulle existe :
- l'afficher pendant une durée suffisante liée
  à la longueur du texte
- puis l'effacer

Déplacer éventuellement le pointeur de souris avant
de passer à la vue suivante

Exportation du Tour

L'exportation est réalisée en créant une page HTML contenant un JavaScript, ce dernier utilisant des fichiers images de différents formats obtenus par capture de zones d'écran de TourOperator tandis que les vues défilent dans la zone de travail.

Il est donc alors indispensable que la fenêtre de TourOperator soit au premier plan et suffisamment agrandie pour que les diapositives y soient affichées en entier.

Le tour exporté se compose alors ds types de fichiers suivants :

*_bk.png pour les arrière-plans
*_b.png pour les bulles
*_n.png pour les notes
*.gif pour les pointeurs de souris
<nom du tour>.htm , contenant le code JavaScript se chargeant de l'affichage des fichiers précédents dans la page, ainsi que des mouvements simulés du pointeur de souris.


Gestion du pointeur

La gestion du pointeur de souris et de son déplacement est certainement ce qui présente le plus de difficultés au début de l'utilisation du programme.

Les points suivants seront abordés dans cette page :

capture du pointeur
copie du pointeur entre les diapositives
affichage et déplacement du pointeur dans le tour
rupture de la continuité du trajet du pointeur entre deux vues successives

Capture du pointeur

Pour capturer le pointeur de souris, il est indispensable qu'il se trouve dans la zone délimitée par la fenêtre de capture. Dans le cas contraire, aucun curseur ne sera disponible dans la diapositive : le bouton curseur de la palette d'outils sera indisponible.

Il sera cependant possible de munir une vue sans pointeur en effectuant une copie du pointeur.

Copie du pointeur entre les diapositives

Il est possible de copier un pointeur d'une diapositive vers une autre.
Les curseurs étant sauvegardés dans le tour de façon totalement indépendante des arrière-plans capturés, il est tout à fait possible de lancer une capture uniquement pour récupérer le pointeur de souris : il suffira de copier le curseur vers la diapositive de destination et de supprimer la capture.

Voir pour cela l'utilisation du curseur dans la zone de travail.

Affichage et déplacement du pointeur dans le tour

Une fois un pointeur de souris utilisable dans une diapositive, le bouton curseur de la palette d'outils sera utilisable pour définir la visibilité du pointeur dans la diapositive.

Quand le curseur est visible, son mouvement lors de la présentation consistera à se déplacer depuis la position dans la vue courante vers dans celle définie dans la vue suivante.
Dans la zone de travail, il est possible de modifier les positions de départ et d'arrivée du pointeur, cette dernière correspondant évidemment à la position de départ de la vue suivante
Voir l'utilisation du curseur dans la zone de travail
Quand le curseur est caché, aucun mouvement ne peut avoir lieu ; cependant les positions initiale et finale du curseur seront néanmoins utilisées, ce qui permet de modifier la position du pointeur sans mouvement apparent entre la vue précédente et la vue suivante.

Rupture de la continuité du trajet du pointeur

Il est parfois souhaitable de modifier "instantanément" la position du pointeur entre deux vues successives. La solution consiste alors à utiliser une vue intermédiaire masquée, que l'on pourra obtenir sans pénalité pour la taille du Tour en dupliquant la première vue.
Pour masquer une vue, voir la barre d'outils ou le menu Diapositive

La vue masquée n'est pas visible lors de l'animation finale, mais les positions du curseur sont prises en compte pour définir :

la fin du mouvement du pointeur dans la diapositive précédente
l'origine du mouvement dans la diapositive suivante.


Modification des images

Modifications des images

Les images intervenant dans TourOperator sont de deux types :

- avant exportation (pendant la conception du tour)
- après exportation

Avant exportation

Les images capturées sont des bitmaps DIB (en gros : fichier BMP), ayant la profondeur de couleurs de l'affichage en cours (capture directe de l'écran)
Il est donc conseillé de travailler avec une carte graphique 24 ou 32 bits

Il est possible de modifier les DIB en utilisant un éditeur de fichiers graphiques (PhotoShop, Corel PhotoPaint, Paint Shop Pro, The Gimp, etc...) et de transférer les images entre l'application et TourOperator par copier/coller. (voir Zone de travail)

Attention : la taille des images DOIT être la même que celle du tour. Dans le cas contraire, la copie ne pourra se faire dans TourOperator. Si vous voulez redimensionne des images, c'est dans votre application graphique que vous devrez le faire (logiquement, elle doit pouvoir s'en charger très bien, avec de nombreuses options...)

Une dernière précaution : éviter de travailler avec des images au format JPEG. Les défauts qu'elles comportent se compactent très difficilement en PNG !

Quand les images sont collées dans TourOperator, elles ne sont jamais dégradées (dans un fichier TOP, elles sont stockées sous forme de DIB compactés)

Après exportation

les pointeurs de souris sont sauvés sous le format GIF (pour des raisons de transparence : les PNG transparents ne sont pas correctement traités par les navigateurs les plus courants)
les autres images sont au format PNG.

S'il est peu probable que la taille des pointeurs soit importante, celle des fichiers PNG peut parfois être imposante dans le cas d'images de type photographique, ou de fenêtres comprenant de nombreux dégradés.
La solution la plus simple pour y remédier consiste à utiliser l'éditeur de fichiers graphiques (ou tout utilitaire convenable) pour réduire le nombre de couleurs contenus dans l'image. En général, 64 couleurs suffisent pour une présentation de qualité.

Exemple

Pour l'image suivante utilisant de très nombreuses couleurs, on pourra comparer la version d'origine avec deux versions dégradées uniquement par réduction du nombre de couleurs. Les trois sont au format PNG :

Image d'origine

49 Ko

Passage en 256 couleurs

23 Ko

Passage en 64 couleurs

19 Ko

Conseils

Pour éviter toutes ces manipulations et conserver des présentations de taille raisonnable :

utiliser un fond de bureau uni
éviter les enrichissements visuels sur les fenêtres (barres dégradées, etc ...)
dupliquer et copier des diapositives dans le tour n'augmente pas significativement la taille du Tour : l'image d'arrière-plan est partagée par toutes les vues qui l'utilisent.

A titre d'information, la démonstration de TourOperator contient :

90 diapos exportées dans le tour, 97 dans le fichier TOP (7 vues masquées).
Taille des captures : 640x480 (chaque DIB en 24 bits : 640*480*3 = 900 Ko)
Taille du fichier : 892 Ko
57 arrière-plans (codés en couleurs 24 bits) pour une taille totale de 526 Ko,
soit 9,2 Ko par fichier en moyenne
97 bulles/notes pour une taille totale de 154 Ko,
soit 1,6 Ko en moyenne par note ou bulle.

Un passage en 256 couleurs ramène la taille totale des images exportées à moins de 400 Ko


Modification des textes

L'interface de TourOperator ne permet que des opérations élémentaires d'édition concernant les textes contenus dans les notes et les bulles :

enrichissements typographiques (italique, gras, souligné)
choix de la police
alignement du paragraphe courant

En réalité, le texte contenu dans les notes et les bulles est au format RTF (Rich Text Format), utilisable dans la plupart des traitements de texte.

Par exemple, il est possible de mettre des puces devant des paragraphes dans un texte RTF.
Pour réaliser cela, la solution la plus simple est de lancer en même temps un éditeur de texte capable de manipuler le format RTF (WordPad par exemple), et d'échanger les textes avec TourOperator par l'intermédiaire du presse-papiers.

Voilà un exemple de puces dans une note :

Remarque : les textes sont sauvées dans le fichier TOP sous forme brute, sans être comprimés (à la différence des images). Ceci est légitime dans la mesure ou ces textes sont en général assez courts.
En cas de copie d'une image dans un texte RTF, la taille du fichier TOP peut croître considérablement (les images dans un RTF sont représentées par des caracères, ce qui est très loin d'être efficace !)


Fenêtre de capture

Cette fenêtre est activée en cliquant sur le bouton de capture de la barre d'outils de la fenêtre principale, ou en appuyant sur la touche F6 (voir le Menu Fichier)

Pour déplacer la fenêtre sur l'écran avec la souris :
utiliser les poignées placées en haut à gauche et en bas à droite, en appuyant en même temps sur la touche Ctrl du clavier.
Le cadre de capture peut être déplacé en tout endroit de l'écran. Sa position est automatiquement ajustée en cas de déplacement en dehors des limites de l'écran.

Pour capturer une vue :
appuyer sur la touche Impr. Ecran du clavier. Pendant la capture, le cadre change de couleur. La fin est annoncée par un signal sonore et par le retour à la couleur d'origine.
Le pointeur de souris (curseur) ne sera capturé que s'il se trouve à l'intérieur du cadre.

Pour mettre fin aux captures :
Cliquer avec le bouton droit de la souris sur la fenêtre, puis sélectionner Fin de capture
ou bien :
Cliquer sur l'icône de TourOperator dans la barre des tâches, à côté de l'horloge.

Pour changer la couleur du cadre de capture :
Cliquer avec le bouton droit de la souris sur la fenêtre, puis sélectionner Couleur...


Vue d'ensemble

Fenêtre principale

Composée des éléments décrits ci-dessous, elle permet d'ordonner les captures, de créer les notes, les bulles et de gérer les mouvements du curseur.

Barre de menus
située en haut de la fenêtre, permet d'accéder aux commandes du programme

Barre d'outils
offre des raccourcis commodes aux commandes les plus fréquentes

Panneau des aperçus
présente des vues réduites des vues de la présentation, permettant leur sélection, copie et déplacement

Palette d'outils
Affiche ou masque les éléments autres que les captures

Zone de travail
Permet la manipulation de tous les éléments constitutifs d'une vue

Zone de commandes
Navigation, exécution et exportation vers la page HTML


Barre d'outils

Les boutons de cette barre permettent les opérations les plus courantes. On trouvera de gauche à droite :

Nouvelle présentation
ouvre une boîte la fenêtre suivante

permettant de fixer les options initiales de la présentation.
Le nom du tour est utilisé pour composer le nom du fichier .TOP, tandis que la description correspond au titre de la page HTML finale.
la taille des captures est la même pour toutes les vues d'un tour. Il est possible de fixer cette taille tant que le tour est vide de toute diapositive.
Ouvrir une présentation
permet de relire un fichier .TOP depuis le disque
Sauver la présentation courante
permet de sauver la présentation courante dans un fichier ayant pour extension .TOP
Ce fichier contient sous forme compactée les images capturées, les aperçus, les textes et positions des bulles et des notes.
Capturer de nouvelles vues
Ouvre le cadre de capture permettant la saisie des vues
Dupliquer la vue courante
La vue dupliquée devient la vue en cours d'édition, et est placée dans le tour après la vue courante.
Seule l'image de fond est copiée, la bulle et la note étant vierges.
On notera que pour le tour HTML final, une seule image de fond sera utilisée pour toutes les vues partageant le même fond. Ceci permet de décrire tous les aspects d'une vue sans pour autant alourdir la présentation finale.
Masquer la vue courante
Ce bouton est une bascule. Quand la vue est masquée, une croix barre son aperçu.
Une vue masquée est invisible lors de l'exécution du tour, et n'est évidemment pas incluse dans la présentation finale.
Le masquage est utilisé pour rompre la continuité du mouvement du curseur dans le déroulement de la présentation : les positions initiale et finale du curseur dans une vue masquée sont utilisées pour le déplacer sans mouvement apparent entre deux vues lors de l'exécution.
Copier la vue vers...
ouvre la fenêtre de copie

permettant de copier la vue courante vers une autre position dans le tour.
Déplacer la vue vers...
Ouvre la fenêtre de déplacement

permettant de déplacer la vue courante vers une autre position dans le tour.
Supprimer la vue courante
La suppression d'une vue est irréversible. En cas de doute, il vaut peut-être mieux la masquer...


Palette d'outils

Ces boutons, situés sur la gauche de la fenêtre principale, permettent de définir la visibilité des trois outils d'animation de la présentation
Bulle
Les bulles permettent de désigner des éléments particuliers de la vue
Note
Les notes permettent de donner les informations générales concernant la vue
Curseur
Ce bouton n'est disponible que si un pointeur de souris a été capturé avec la vue courante.
Le curseur permet de simuler l'interaction de l'utilisateur avec l'application décrite par le tour.

Il est à noter qu'un curseur masqué permet de déplacer le pointeur entre deux vues sans mouvement apparent dans la présentation finale. Une autre solution consiste à utiliser une vue masquée.


Panneau des aperçus

Ce panneau présente des réductions des vues du tour. Ceci permet une navigation aisée entre toutes les diapositives.

Cliquer sur un aperçu active la vue correspondante dans la zone d'édition.

Lors de l'utilisation des contrôles de défilement dans la zone de commandes , l'affichage des aperçus est synchronisé pour présenter la vue courante.

Par glisser-déposer (Drag and Drop) dans le panneau des aperçus, il est possible de déplacer une vue avant une autre vue.
Un appui simultané sur la touche Ctrl du clavier permet de copier la vue au lieu de la déplacer.
Lors de ces opérations, les aperçus défilent automatiquement quand on déplace la souris sur le bord inférieur ou supérieur du panneau.


Zone de commandes

Ces commandes permettent de sélectionner la vue courante dans la zone de travail grâce à la glissière située à gauche, ou en agissant sur les deux boutons immédiatement placés à sa droite.
Un appui prolongé avec le bouton de gauche de la souris sur ces boutons provoque un défilement rapide des différentes vues.

Le groupe de 5 boutons qui suit (de type "magnétoscope") correspond aux commandes suivantes :

retour à la première vue
avancer à la dernière vue
mode conception
Quand ce bouton est activé, les commandes de la palette d'outils et de la zone de travail sont utilisables
mode exécution
Dans ce mode, une simulation du fonctionnement de la présentation à partir de la vue en cours permet de tester l'enchaînement des vues et les mouvements de curseur.
Un appui sur le bouton précédent permet de revenir à la vue initiale de la simulation.
exporter le Tour en HTML
L'exportation du tour sous la forme d'une page HTML est réalisée par ce bouton :
La palette d'outils et la zone d'aperçus sont alors masqués, tandis que les vues défilent dans la zone de travail.
Des captures d'écran sont réalisées pendant ce défilement, créant ainsi les images de la présentation au format PNG.
Enfin, le code HTML contenant le programme JavaScript est généré à partir du modèle de présentation en cours.

Compte tenu de ce mode de fonctionnement,
il est indispensable de laisser la fenêtre de TourOperator
agrandie et au premier plan pendant la génération !!


Zone de travail

Placée au centre de la fenêtre principale, elle permet la manipulation des différents éléments de la vue :

l'arrière plan
la note
la bulle
le curseur

Arrière-plan

Cliquer avec le bouton de droite de la souris sur l'arrière-plan ouvre le menu contextuel suivant :

Il est alors possible :

de changer la couleur d'une diapositive sans capture (voir menu : Diapositive / Nouvelle)
de copier l'image d'arrière plan capturée vers le presse-papiers
de coller une image contenue dans le presse-papiers pour en faire le nouvel arrière- plan

TourOperator ne procédant à aucun redimensionnement, il faudra que l'image à coller soit de la même taille que la dimension actuelle des vues du tour.

La note

Celle-ci permet un commentaire général concernant la vue en cours. Sa visibilité est définie par le bouton correspondant dans la palette d'outils
Pour déplacer une note, cliquer-glisser avec la souris quand le pointeur possède l'apparence suivante :
Pour redimensionner la note, cliquer-glisser sur la poignée de dimensionnement, dans le coin inférieur droit de la note :

Deux menus contextuels sont accessibles par clic-doit sur la note, selon l'endroit où se produit le clic :

clic sur la bord extérieur de la note (même pointeur que pour le déplacement)

Le menu permet de changer la couleur de la note, ou de la copier vers une autre vue
clic dans la zone de texte

Le menu permet les opérations les plus courantes d'un éditeur de texte
enrichissements typographiques (gras, italique, souligné)
alignement du paragraphe courant (gauche, centré, droite)
choix de la police pour la sélection courante.

La Bulle

Celle-ci permet dans une vue d'attirer l'attention sur un point particulier. Sa visibilité est définie par le bouton correspondant dans la palette d'outils

Pour déplacer ou redimensionner une bulle, procéder comme pour la note (cf. ci-dessus)

Deux menus contextuels sont accessibles par clic-doit sur la bulle, selon l'endroit où se produit le clic :

clic sur la bord extérieur de la note (même pointeur que pour le déplacement)

Le menu permet de
définir la position ou la taille de la flèche
changer la couleur de la bulle, ou de la copier vers une autre vue
clic dans la zone de texte
Comme pour la note, le menu permet les opérations les plus courantes d'un éditeur de texte
enrichissements typographiques (gras, italique, souligné)
alignement du paragraphe courant (gauche, centré, droite)
choix de la police pour la sélection courante.

Le curseur

Le curseur permet de simuler l'interaction de l'utilisateur, rendant alors naturelles les transitions entre les différentes vues.

Quand une vue possède un curseur, celui se présente dans la zone de travail sous la forme ci-dessus.

l'image du pointeur de souris à animer est représenté à la fois dans sa position initiale (entouré d'un rectangle pointillé) et finale (entouré d'un rectangle pointillé aux coins arrondis)
le trajet que suivra cette image est représenté par une ligne pointillée entre les deux rectangles..

Il est possible de déplacer l'image du pointeur par cliquer-glisser dans les positions initiales et finales. On notera que la forme du pointeur de souris (celui de TourOperator, pas l'image !) change selon la position.

Cliquer avec le bouton droit sur la position initiale permet d'ouvrir une menu contextuel permettant :

d'aligner le pointeur sur la position dans la vue précédente/suivante.
Ceci permet évidemment d'enchaîner plusieurs vues sans déplacement du curseur
de copier le curseur vers une autre vue.
Ceci permet de munir d'un curseur une vue qui en était dépourvue, ou de corriger/modifier des captures de curseur


Barre de menus

Celle-ci est toujours présente en haut de la fenêtre de TourOperator.

Elle permet d'accéder au différents menus du programme :

Menu Fichier
Menu Diapositive
Menu Outils
Menu Présentation
Menu Affichage
Menu Aide


Menu Fichier

TourOperator peut sauvergarder sur disque toutes les informations relatives à une présentation dans un fichier unique d'extension ".TOP"
Ce fichier contient, sous forme compactée, l'ensemble des images capturées, des pointeurs de souris, des aperçus, des caractéristiques des notes et bulles (texte au format RTF, positions, etc...)
La taille d'un fichier .TOP est en général proche de la taille totale du tour HTML après exportation.

Ce menu permet les opérations classiques sur ces fichiers :

Nouveau
Ouvrir
Sauver...
Sauver sous...

Insérer... n'est pas encore fait : il devrait permettre d'insérer les diapos d'un autre tour dans le tour courant

Capturer... permet d'ouvrir la fenêtre de capture
Quitter met fin à TourOperator

Voir aussi :
Barre d'outils


Menu Diapositive

Ce menu permet :

de définir la vue active dans la zone de travail à l'aide des quatre premières lignes du menu.
On notera que les mêmes possibilités sont offertes dans la zone de commandes
de gérer les diapositives du tour. Les commandes correspondantes se trouvent dans la barre d'outils
Nouvelle : création d'une diapositive vide, sans image de capture, ayant la couleur définie dans la boîte de dialogue des options du Tour (voir Menu Présentation)
Dupliquer : crée une nouvelle diapositive ayant le même arrière-plan que la diapositive courante, et immédiatement après celle-ci.
La vue créée devient la vue courante.
Supprimer : retire la vue courante du tour. L'effacement est irréversible, et une confirmation vous sera demandée.
Copier/Déplacer : copie ou déplace la diapositive courante vers une autre position dans le tour.
Cette commande ouvre une fenêtre permettant de fixer la position finale de la vue courante.
Masquer : rends la vue courante invisible au cours de l'exécution du tour.

Voir aussi :
 Zone de commandes
 Barre d'outils


Menu Outils

Ce menu remplit le même office que les boutons de la palette d'outils

Il permet d'afficher/masquer les éléments de la zone de travail à l'aide de raccourcis clavier.


Menu Présentation

Ce menu fixe le mode de fonctionnement de TourOperator :

Mode conception : permet la modification des différents éléments d'interface de la zone de travail, et la gestion des diapositives du Tour (voir Barre d'outils et Menu Diapositive)
Mode exécution : permet de visualiser une simulation du fonctionnement de la présentation à partir de la vue en cours, afin de tester l'enchaînement des vues et les mouvements de curseur.
Au cours de l'exécution, un appui sur Maj+F5 permet d'interrompre la simulation
Exporter... : L'exportation du tour provoque
le masquage de la palette d'outils et de la zone d'aperçus
le défilement des différentes vues du tour dans la zone de travail, pendant lequel des captures d'écran sont réalisées, créant ainsi les images de la présentation au format PNG.
Enfin, le code HTML contenant le programme JavaScript est généré à partir du modèle de présentation en cours.

Compte tenu de ce mode de fonctionnement, il est indispensable de laisser TourOperator au premier plan pendant la génération !!

Options...
permet de fixer les caractéristiques du Tour dans la fenêtre de configuration suivante :
Le nom du tour sert à construire le nom de fichier initial
la taille des captures est modifiable tant que le tour ne contient aucune vue. Toutes les vues d'un tour doivent avoir la même taille.
Les couleurs et police par défaut sont utilisées lors de la création des éléments correspondants.
la description du tour permet de fixer le titre de la page HTML finale.

Modèle...
La génération d'une page HTML est réalisée à partir d'un fichier modèle, contenant le code JavaScript permettant l'enchaînement des images dans l'écran du navigateur.
Ce fichier doit se nommer script.txt et contenir le marqueur <%SLIDES%> dans son texte, qui sera remplacé par la définition des diapos pour le code JavaScript

Lors de la génération du tour, tous les fichiers (mais pas les répertoires !) se trouvant dans le répertoire de script.txt seront copiés dans le répertoire d'exportation du tour, ce qui permet une personnalisation facile de l'aspect final de la présentation. On pourra examiner les modèles disponibles avec le programme pour se faire une idée des possibilités en ce domaine.


Menu Affichage

Ce menu contrôle la visibilité des quatre panneaux entourant la zone de travail.
Il suffit de cocher ou décocher la ligne correspondante.

"Barre d'icônes" : voir Barre d'outils
"Outils" : voir Palette d'outils
"Aperçus" : voir Panneau des aperçus
"Commandes" : voir Zone de commandes


Menu Aide

Ce menu permet d'appeler le fichier d'aide à partir du programme, ou d'afficher la boîte d'informations sur le programme :

Les liens sur cette fenêtre sont actifs, vous permettant ainsi de prendre connaissance des dernières nouvelles concernant TourOperator, ou de m'envoyer un courrier électronique ... (erreurs, améliorations, etc...)


Contact

Contact et téléchargement

Ce programme est encore en développement, bien que dans son état actuel il soit tout à fait utilisable.

Pour tout commentaire, rapport de bogue, etc..., n'hésitez pas à me contacter par courrier électronique à l'une des adresses suivantes :

tarizzo@ese-metz.fr
martial.tarizzo@free.fr
m.tarizzo@ac-nancy-metz.fr

Si vous avez créé un modèle particulièrement esthétique, ou si vous avez un modèle tournant avec Netscape, je suis preneur ;-)

La dernière version est normalement disponible à partir de la page suivante :

http://martial.tarizzo.free.fr/TourOp/TourOp.htm

Suivi d'erreurs d'exécution : TourOp.log

Comme tout programme informatique, TourOperator recèle certainement quelques bogues inconnus qui risquent de poser des problèmes d'exécution plus ou moins sévères...

TourOperator est programmé de façon à créer (quand cela est possible) un rapport d'erreur nommé "TourOp.log"

Ce fichier texte contient une trace de la pile d'exécution juste avant l'erreur, ainsi que des renseignements techniques me permettant de localiser l'erreur avec précision (vous pouvez évidemment ouvrir ce fichier dans un éditeur de texte quelconque pour vérifier qu'aucune information confidentielle ne s'y trouve).

C'est évidemment une source d'information inestimable si vous avez un rapport de bogue à m'envoyer !


Limitations

Cette page recense les limitations/problèmes actuellement répertoriés pour TourOperator.

le code javascript de la page HTML n'est actuellement compatible qu'avec Internet Explorer ; ceci devrait être facile à corriger (il "suffit" d'adapter le JavaScript au navigateur cible...)

JE SERAIS TOUT A FAIT INTERESSE PAR UNE PAGE TOURNANT SOUS NETSCAPE !

 Une autre solution est d'écrire un applet Java faisant la même chose que le script de la page HTML (cet applet est en chantier, mais pas encore vraiment finalisé)
problème étrange sous Windows Me (et seulement cette version) : lenteur d'affichage des aperçus quand la démo contient un grand nombre de vues (typiquement plus d'une cinquantaine)
Semble être lié à une gestion de la mémoire particulière à Windows Me :-(
fichier de préférences (ou base de registres) pour conserver les préférences globales de l'utilisateur
par exemple :
- répertoire des tours
- couleurs des notes/bulles par défaut
- police par défaut
-historique des derniers fichiers ouverts
- ....

et sûrement d'autres encore inconnus à ce jour !


Description des vues dans le script

Dans le fichier HTML créé par TourOperator, la définition des diapositives est de la forme suivante :

slides[0]="371299840393519977855861,371299840393519977855861,0,1,27,127,100,0,0,0,0";
slides[1]="371336419444445684658229,371336419444445684658229,5246,40,124,130,78,1,76,242,24,1,26,142,77";
slides[2]="371336425462963955466866,371336425462963955466866,5246,130,78,155,112,0,0,0,0,1,28,196,116";
....
ctrMax=8;
Description="Description de la calculatrice";
slideSizeX=480
slideSizeY=360
chaque chaîne définissant une vue contient les éléments suivants, séparés par des "," :
identifiant de vue. Permet de reconstituer les noms de fichiers pour les notes et les bulles.

identifiant d'arrière-plan. Permet de reconstituer le nom du fichier correspondant.

identifiant de pointeur ; 0 si pas de pointeur
Dans le cas ou un pointeur existe, suivent 4 nombres donnant ses coordonnées de départ et d'arrivée (en pixels).
indicateur de présence de visibilité de la note (1 si visible, 0 sinon)
longueur de la note (en caractères)
position de la note (X et Y en pixels)
indicateur de présence de visibilité de la bulle (1 si visible, 0 sinon)

longueur de la bulle (en caractères)

position de la bulle (X et Y en pixels)
ctrMax indique le nombre total de vues du tour
Description définit le titre de la page
suivent enfin les dimensions des arrière-plans du Tour

Dans le répertoire contenant la page HTML, un fichier texte est créé en même temps que la page HTML, et contenant ces informations.


Modèles de script

Le sous-répertoire Script de TourOperator contient les fichiers modèles permettant la génération des fichiers HTML.

Il est possible de créer des modèles personnalisés en ayant en tête la convention suivante :

Tous les fichiers (mais pas les répertoires) contenus dans le même répertoire que "Script.htm"
seront copiés dans le répertoire d'exportation du tour.

Ceci permet d'inclure dans le modèle des images de fond de page, ou tout autre élément graphique devant figurer sur les pages exportées (logos, liens prédéfinis, etc...)

Plusieurs exemples de modèles, librement modifiables, se trouvent dans le répertoire Script.


Références

Le développement de ce programme n'aurait pas été possible sans les ressources nombreuses gratuites disponibles sur Internet dont on trouvera ci-dessous les références.

MSDN (Microsoft Developer Network)

La ressource indispensable pour tout programmeur Windows ...
http://msdn.microsoft.com/library/

vbAccelerator

(http://vbaccelerator.com)

Ce site est hautement recommandable, fourmillant d'informations pouvant intéresser un programmeur VB.
Codes utilisés :
- CommonDialog/Direct (CMDLGD6.dll)
- divers fragments extraits des nombreuses rubriques du site.

Eduardo Morcillo

(http://www.domaindlx.com/e_morcillo)

Encore un site incontournable, plus technique que le précédent.
Codes utilisés :
- Hyperlink control (HLnkCtrl.ocx)
- Storage class (IStorage wrapper class)
- divers fragments extraits des nombreuses rubriques du site.

BMP2GIF.OCX

"BMP2GIF control version 2.1 that uses non LZW compression algorithm. The latest version you can find from my gis page http://www.tallinn.ee/~indrek/gis/
My email address is Indrek.Mandre@tallinn.ee.
This component was created by Indrek Mandre.
GD library (1.3) was used to do GIF encoding."

MsgHoo32.OCX

Contrôle OCX gratuit fourni par Mabry Software, Inc.
Indispensable pour sous-classer des fenêtres (ici, celle de capture)

cmp-z-it

Classe VB permettant l'utilisation de la librairie Zlib.dll
Benjamin Dowse,
DowseWare
Software Solutions

PngDibDll.dll

Librairie dynamique de conversion BMP vers PNG. Le code d'origine est PNGDIB, de Jason Summers.
Je l'ai transformé de façon à avoir une DLL, et compilé sous MSVC

"PNGDIB - a mini DIB-PNG conversion library for Win32
By Jason Summers <jason1@pobox.com>
Version 1.1.0, Aug. 2000
Web site: http://pobox.com/~jason1/imaging/pngdib/ "


licence

Licence d'utilisation

MERCI D'ACCEPTER LES TERMES DE CETTE LICENCE SI VOUS UTILISEZ LE PRESENT LOGICIEL.
TourOperator est un programme Freeware régi par le système du droit d'auteur.
Le programme et la documentation qui l'accompagnent sont protégés par les lois françaises sur les droits d'auteur et les mesures internationales référant au copyright.
Si vous utilisez le présent logiciel, vous le faites en ayant auparavant testé ce logiciel et en ayant conclu que votre équipement et la configuration que vous utilisez sont à même de permettre son bon fonctionnement.
L'auteur n'assume en aucun cas la responsabilité pour les coûts supplémentaires, les dommages ou les pertes que l'utilisation du présent logiciel aurait pu entraîner et ce, de quelque manière que ce soit.

Les pages HTML et les fichiers images créées avec TourOperator sont modifiables par l'utilisateur sans restriction d'aucune sorte.

Autorisation de diffusion

Librement redistribuable dans le cadre d'une utilisation commerciale ou non commerciale, comme Freeware (donc sans contrepartie financière)
Tout les fichiers constituant l'application doivent être fournis tels quels, sans aucun ajout, modification ni suppression.
Si vous distribuez TourOperator sur un site Web ou un CD, ou si vous l'incluez dans un magazine, merci de m'en avertir.